Skip to main content
GET
/
benefits
/
applications
/
v1
Retrieve applications
curl --request GET \
  --url https://api.spacebring.com/benefits/applications/v1 \
  --header 'Authorization: Basic <encoded-value>'
{
  "applications": [
    {
      "benefit": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "description": "<string>",
        "mediaUrl": "<string>",
        "subtitle": "<string>"
      },
      "createDate": "2023-11-07T05:31:56Z",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "number": 0,
      "user": {
        "blocked": true,
        "createDate": "2023-11-07T05:31:56Z",
        "email": "jsmith@example.com",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "restricted": true,
        "surname": "<string>",
        "about": "<string>",
        "deleteDate": "2023-11-07T05:31:56Z",
        "phoneNumber": "<string>",
        "photoUrl": "<string>"
      },
      "comment": "<string>",
      "membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "nextPageToken": "<string>",
  "searchQueryNext": "<string>"
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Query Parameters

locationRef
string<uuid>

The id of the location

benefitRef
string<uuid>

The id of the benefit

limit
integer<int64>
default:25

The number of items to return

Required range: 1 <= x <= 100
nextPageToken
string

Token to retrieve the next page of results. Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.

categoryRef
string<uuid>[]

The ids of the categories to filter by

userRef
string<uuid>

Response

OK

applications
object[]
nextPageToken
string

Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.

searchQueryNext
string

Pre-built query string for the next page of results. Contains all active filter parameters combined with the next page token, ready to append to the endpoint URL.